ISALPHA(3)

NAME
isalpha - alphabetic character test

SYNOPSIS
#include <ctype.h>
int
isalpha(int c);

DESCRIPTION
The isalpha() function tests for any character for which isupper(3) or islower(3) is true and for which none of iscntrl(3), isdigit(3), ispunct(3), or isspace(3) is true. In the C locale, isalpha() returns true only for the characters for which isupper(3) or islower(3) is true.

RETURN VALUES
The isalpha() function returns zero if the character tests false or non-zero if the character tests true.

SEE ALSO
isalnum(3), isascii(3), isblank(3), iscntrl(3), isdigit(3), isgraph(3), islower(3), isprint(3), ispunct(3), isspace(3), isupper(3), isxdigit(3), stdio(3), toascii(3), tolower(3), toupper(3), ascii(7)

STANDARDS
The isalpha() function conforms to ansiC.

HISTORY
The isalpha() function first appeared in AT&T UNIX.

CAVEATS
The argument to isalpha() must be EOF or representable as an unsigned char; otherwise, the result is undefined.